/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.filesnewinputstreamexample;

import java.nio.file.Files;
import java.nio.file.Paths;
import java.nio.file.Path;
import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.IOException;

/**
 *
 * @author omozegieaziegbe
 */
public class FilesNewInputStreamExample {

public static void main(String[] args) {
        // File path to be read
        Path filePath = Paths.get("/Users/omozegieaziegbe/Development/config.properties");

        // Load the file using Files.newInputStream
        try (InputStream inputStream = Files.newInputStream(filePath);
             BufferedReader reader = new BufferedReader(new InputStreamReader(inputStream))) {

            String line;
            while ((line = reader.readLine()) != null) {
                System.out.println(line);
            }

        } catch (IOException e) {
        }
    }
}
