/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.fileinputstreamexample;

import java.io.FileInputStream;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;

/**
 *
 * @author omozegieaziegbe
 */
public class FileInputStreamExample {

    public static void main(String[] args) {
        // File path to be read
        String filePath = "/Users/omozegieaziegbe/Development/config.properties";

        // Load the file using FileInputStream
        try (FileInputStream fileInputStream = new FileInputStream(filePath);
                
             BufferedReader reader = new BufferedReader(new InputStreamReader(fileInputStream))) {

            String line;
            while ((line = reader.readLine()) != null) {
                System.out.println(line);
            }

        } catch (IOException e) {
        }
    }
}
