/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.resourceloaderexample;

import java.io.InputStream;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;

/**
 *
 * @author omozegieaziegbe
 */
public class ResourceLoaderExample {

    public static void main(String[] args) {
        // Load the resource using getResourceAsStream
        try (InputStream inputStream = ResourceLoaderExample.class.getResourceAsStream("/config.properties"); 
                
                
           BufferedReader reader = new BufferedReader(new InputStreamReader(inputStream))) {

            String line;
            while ((line = reader.readLine()) != null) {
                System.out.println(line);
            }

        } catch (IOException e) {
            System.out.println("Error reading file" + e);
        }
    }
}
